Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IEngineConfig

All Superinterfaces:
  org.eclipse.birt.core.framework.IPlatformConfig

All Known Implementing Classes:
  EngineConfig

    public interface IEngineConfig

extends org.eclipse.birt.core.framework.IPlatformConfig

Field Summary
`static java.lang.String` | `DEFAULT_RENDER_OPTION` the default render option which used by all emitters
`static java.lang.String` | `EMITTER_CONFIGS` contains a hashmap which saved the default render options.
`static java.lang.String` | `ENGINE_LOGGER` define the logger used by the report engine.
`static java.lang.String` | `LOG_DESTINATION`
`static java.lang.String` | `LOG_FILE`
`static java.lang.String` | `LOG_LEVEL`
`static java.lang.String` | `LOG_MAX_BACKUP_INDEX`
`static java.lang.String` | `LOG_ROLLING_SIZE`
`static java.lang.String` | `MAX_ROWS_PER_QUERY` The max rows per query
`static java.lang.String` | `REPORT_DOCUMENT_LOCK_MANAGER`
`static java.lang.String` | `RESOURCE_LOCATOR` resource locator used by design engine
`static java.lang.String` | `RESOURCE_PATH` resource path used by design engine
`static java.lang.String` | `SCRIPT_OBJECTS`
`static java.lang.String` | `STATUS_HANDLER`
`static java.lang.String` | `TEMP_DIR`

Fields inherited from interface org.eclipse.birt.core.framework.IPlatformConfig
`BIRT_HOME, OSGI_ARGUMENTS, OSGI_CONFIGURATION, PLATFORM_CONTEXT`

Field Detail

### LOG_DESTINATION

    static final java.lang.String LOG_DESTINATION

See Also:
  Constant Field Values

### LOG_LEVEL

    static final java.lang.String LOG_LEVEL

See Also:
  Constant Field Values

### LOG_FILE

    static final java.lang.String LOG_FILE

See Also:
  Constant Field Values

### LOG_ROLLING_SIZE

    static final java.lang.String LOG_ROLLING_SIZE

See Also:
  Constant Field Values

### LOG_MAX_BACKUP_INDEX

    static final java.lang.String LOG_MAX_BACKUP_INDEX

See Also:
  Constant Field Values

### ENGINE_LOGGER

    static final java.lang.String ENGINE_LOGGER

  define the logger used by the report engine. the value is a java.util.Logger object. The user can change the logger level in the setted logger. It will overides the setting of LOG_DESTINATION and LOG_LEVEL

  See Also:
    Constant Field Values

### TEMP_DIR

    static final java.lang.String TEMP_DIR

See Also:
  Constant Field Values

### REPORT_DOCUMENT_LOCK_MANAGER

    static final java.lang.String REPORT_DOCUMENT_LOCK_MANAGER

See Also:
  Constant Field Values

### SCRIPT_OBJECTS

    static final java.lang.String SCRIPT_OBJECTS

See Also:
  Constant Field Values

### EMITTER_CONFIGS

    static final java.lang.String EMITTER_CONFIGS

  contains a hashmap which saved the default render options. each key is either a DEFAULT_EMITTER_CONFIG or format or emitter id. each value is a IRenderOption

  See Also:
    Constant Field Values

### DEFAULT_RENDER_OPTION

    static final java.lang.String DEFAULT_RENDER_OPTION

  the default render option which used by all emitters

  See Also:
    Constant Field Values

### STATUS_HANDLER

    static final java.lang.String STATUS_HANDLER

See Also:
  Constant Field Values

### RESOURCE_LOCATOR

    static final java.lang.String RESOURCE_LOCATOR

  resource locator used by design engine

  See Also:
    Constant Field Values

### RESOURCE_PATH

    static final java.lang.String RESOURCE_PATH

  resource path used by design engine

  See Also:
    Constant Field Values

### MAX_ROWS_PER_QUERY

    static final java.lang.String MAX_ROWS_PER_QUERY

  The max rows per query

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.